# DataExchange
TKIGES
IGESDimen

# IGESDimen_DimensionedGeometry Class Reference

Defines IGES Dimensioned Geometry, Type <402> Form <13>,
in package IGESDimen
This entity has been replaced by the new form of Dimensioned
Geometry Associativity Entity (Type 402, Form 21) and should no
longer be used by preprocessors.
.

`#include <IGESDimen_DimensionedGeometry.hxx>`

Inheritance diagram for IGESDimen_DimensionedGeometry:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDimen_DimensionedGeometry ()
Standard_EXPORT void | Init (const Standard_Integer nbDims, const Handle(IGESData_IGESEntity)&aDimension, const Handle(IGESData_HArray1OfIGESEntity)&entities)
Standard_EXPORT Standard_Integer | NbDimensions () const
| returns the number of dimensions
Standard_EXPORT Standard_Integer | NbGeometryEntities () const
| returns the number of associated geometry entities
Standard_EXPORT Handle_IGESData_IGESEntity | DimensionEntity () const
| returns the Dimension entity
Standard_EXPORT Handle_IGESData_IGESEntity | GeometryEntity (const Standard_Integer Index) const
| returns the num'th Geometry entity raises exception if Index <= 0 or Index > NbGeometryEntities()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbDimensions
Handle_IGESData_IGESEntity | theDimension
Handle_IGESData_HArray1OfIGESEntity | theGeometryEntities

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_DimensionedGeometry::IGESDimen_DimensionedGeometry | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESDimen_DimensionedGeometry::DimensionEntity | ( |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESDimen_DimensionedGeometry::GeometryEntity | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT const IGESDimen_DimensionedGeometry::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDimen_DimensionedGeometry::Init | ( | const Standard_Integer | nbDims,
|  | const Handle(IGESData_IGESEntity)& | aDimension,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | entities
| ) |

Standard_EXPORT Standard_Integer IGESDimen_DimensionedGeometry::NbDimensions | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_DimensionedGeometry::NbGeometryEntities | ( |  | ) | const

## Field Documentation

Handle_IGESData_IGESEntity IGESDimen_DimensionedGeometry::theDimension `[private]`

Handle_IGESData_HArray1OfIGESEntity IGESDimen_DimensionedGeometry::theGeometryEntities `[private]`

Standard_Integer IGESDimen_DimensionedGeometry::theNbDimensions `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_DimensionedGeometry.hxx